#!/usr/bin/env bash
set -euo pipefail

cp -n cotisations/templates/cotisations/invoice.html templates/default_invoice.html
cp -n cotisations/templates/cotisations/voucher.html templates/default_voucher.html

AUTOMIGRATE=${AUTOMIGRATE:-yes}

if [ "$AUTOMIGRATE" != "skip" ]; then
  poetry run python manage.py migrate --noinput
fi

poetry run python manage.py compilemessages

cat <<EOF | poetry run python manage.py shell
from django.contrib.auth import get_user_model

User = get_user_model()

User.objects.filter(pseudo='$SUPERUSER_LOGIN').exists() or \
    User.objects.create_superuser(pseudo='$SUPERUSER_LOGIN', email='$SUPERUSER_EMAIL', password='$SUPERUSER_PASS', surname='$SUPERUSER_LOGIN')
EOF
poetry run gunicorn --workers=2 re2o.wsgi:application --bind 0.0.0.0:8000