# -*- coding: utf-8 -*-
# Generated by Django 1.11.29 on 2020-12-30 16:53
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import re2o.mixins


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='CommentTicket',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(auto_now_add=True)),
                ('comment', models.TextField(max_length=4095)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='ticket_comment', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'ticket',
                'verbose_name_plural': 'tickets',
                'permissions': (('view_commentticket', 'Can view a ticket object'),),
            },
            bases=(re2o.mixins.AclMixin, models.Model),
        ),
        migrations.CreateModel(
            name='Ticket',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(help_text='Title of the ticket.', max_length=255)),
                ('description', models.TextField(max_length=3000)),
                ('date', models.DateTimeField(auto_now_add=True)),
                ('email', models.EmailField(help_text='An email address to get back to you.', max_length=100, null=True)),
                ('solved', models.BooleanField(default=False)),
                ('language', models.CharField(default='en', help_text='Language of the ticket.', max_length=16)),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='tickets', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'ticket',
                'verbose_name_plural': 'tickets',
                'permissions': (('view_ticket', 'Can view a ticket object'),),
            },
            bases=(re2o.mixins.AclMixin, models.Model),
        ),
        migrations.CreateModel(
            name='TicketOption',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('publish_address', models.EmailField(help_text='Email address to publish the new tickets (leave empty for no publication).', max_length=1000, null=True)),
            ],
            options={
                'verbose_name': 'tickets options',
                'permissions': (('view_ticketoption', 'Can view tickets options'),),
            },
            bases=(re2o.mixins.AclMixin, models.Model),
        ),
        migrations.AddField(
            model_name='commentticket',
            name='parent_ticket',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tickets.Ticket'),
        ),
    ]
